One verification service
GET
/api/v1/workspaces/{workspace}/verification/services/{service}
package main
import ( "fmt" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/verification/services/zerobounce"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/verification/services/zerobounce';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/verification/services/zerobounce \ --header 'Authorization: Bearer <token>'Permission: integrations:view
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”workspace
required
Workspace slug
string
Workspace slug
service
required
string
Responses
Section titled “Responses”OK
Media typeapplication/json
object
balance
integer format: int64
balanceAt
string format: date-time
bulkUses30d
required
integer format: int64
capabilities
required
object
bulkLists
required
boolean
catchAll
required
boolean
creditBalance
required
boolean
dataRegion
required
boolean
realTime
required
boolean
checks30d
required
integer format: int64
connected
required
boolean
connectedAt
string format: date-time
connectedBy
string
defaultBulk
required
boolean
defaultForms
required
boolean
down
required
boolean
initials
required
string
key
required
string
keyHelp
required
string
lastError
string
lastErrorAt
string format: date-time
lastErrorSince
string format: date-time
lastSuccessAt
string format: date-time
lastSuccessWhat
string
lastUsedAt
string format: date-time
lastUsedBy
string
lastUsedWhat
string
mappings
required
Array<object>
object
codes
required
Array<string>
reason
string
result
required
string
tag
string
name
required
string
needed
integer format: int64
neededLabel
string
pausedJob
string
price
required
Price per check in dollars, from the workspace’s plan
number format: double
priceBy
Who entered the price
string
region
required
string
regionLabel
required
string
regions
required
Array<object>
object
key
required
string
label
required
string
spent30d
required
number format: double
status
required
string
testOk
boolean
testedAt
string format: date-time
website
required
string
Example
{ "key": "zerobounce", "mappings": [ { "result": "valid" } ], "status": "not_connected"}default
Section titled “default”Error
Media typeapplication/problem+json
object
code
Stable error code, e.g. permission_denied
string
detail
A human-readable explanation specific to this occurrence of the problem.
string
errors
Optional list of individual error details
Array<object>
object
location
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
string
message
Error message text
string
value
The value at the given location
helpers
Members who hold the missing permission
Array<string>
instance
A URI reference that identifies the specific occurrence of the problem.
string format: uri
meta
object
key
additional properties
permission
The missing permission key
string
status
HTTP status code
integer format: int64
title
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
string
type
A URI reference to human-readable documentation for the error.
string format: uri
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}